<?php
function privileges2role($privileges) {
  //print_r($privileges);
  if (is_array($privileges)) {
    if (in_array('admin', $privileges)) return 3;
    if (in_array('update', $privileges)) return 2;
    if (in_array('read', $privileges)) return 1;
  } else return 0;
}

function get_source_profile($ldap, $uuid) {
  $result = ldap_search($ldap['link'], $ldap['basedn'], "(espeeUid=$uuid)", array_values($ldap['attributes']));
  return ldap_get_entries($ldap['link'], $result);
}

function grouper_ui_real_path ($filename) {
	// Check for absolute path
	if (realpath($filename) == $filename) {
		return $filename;
	}
        
	// Otherwise, treat as relative path
	$paths = explode(PS, get_include_path());
	foreach ($paths as $path) {
		if (substr($path, -1) == DS) {
			$fullpath = $path.$filename;
		} else {
			$fullpath = $path.DS.$filename;
		}
		if (file_exists($fullpath)) {
			return $fullpath;
		}
	}
	return false;
}

?>
